Subject: [alpine-devel] [PATCH] new aport: testing/pnmixer

From: Julian Ospald <[email-masked]>
Date: Wed, 2 Mar 2016 13:29:47 +0100

https://github.com/nicklan/pnmixer

Volume mixer for the system tray
---
 testing/pnmixer/APKBUILD               | 51 ++++++++++++++++++++++++++++++++++
 testing/pnmixer/pnmixer.post-deinstall |  3 ++
 testing/pnmixer/pnmixer.post-install   |  3 ++
 testing/pnmixer/pnmixer.post-upgrade   |  3 ++
 4 files changed, 60 insertions(+)
 create mode 100644 testing/pnmixer/APKBUILD
 create mode 100644 testing/pnmixer/pnmixer.post-deinstall
 create mode 100644 testing/pnmixer/pnmixer.post-install
 create mode 100644 testing/pnmixer/pnmixer.post-upgrade

diff --git a/testing/pnmixer/APKBUILD b/testing/pnmixer/APKBUILD
new file mode 100644
index 0000000..6dea58f
--- /dev/null
+++ b/testing/pnmixer/APKBUILD
@@ -0,0 +1,51 @@
+# Maintainer: Julian Ospald <[email-masked]>
+pkgname=pnmixer
+pkgver=0.6.1
+pkgrel=0
+pkgdesc="Volume mixer for the system tray"
+url="https://github.com/nicklan/pnmixer"
+arch="x86 x86_64"
+license="GPL3"
+depends=""
+makedepends="
+    alsa-lib-dev
+    autoconf
+    automake
+    glib-dev
+    gtk+3.0
+    gtk+3.0-dev
+    intltool
+    libnotify-dev
+    libx11-dev
+    pkgconfig
+"
+install="
+    ${pkgname}.post-deinstall
+    ${pkgname}.post-install
+    ${pkgname}.post-upgrade
+"
+subpackages="${pkgname}-lang"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/nicklan/${pkgname}/archive/v${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+
+build() {
+    cd "${_builddir}"
+    ./autogen.sh \
+        --build=$CBUILD \
+        --host=$CHOST \
+        --prefix=/usr \
+        --sysconfdir=/etc \
+        --mandir=/usr/share/man \
+        --localstatedir=/var \
+        || return 1
+    make || return 1
+}
+
+package() {
+    make -C "${_builddir}" DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="181db8452b3896d80c8587ca6e5cfb49  pnmixer-0.6.1.tar.gz"
+sha256sums="2c611cd8d7bc5b11fbf2f8610ef20a19b541873cc87bc18a0dc5bc9baeadc08b  pnmixer-0.6.1.tar.gz"
+sha512sums="6980e54e1894e7ba9a54b3a7b794cebd065093682b0cd6b50f99b4fd2059ef966fd755a034e0055eec9c4ff9fec8215dd1f8c7e7cc2364c5e20f90f0c174f6a7  pnmixer-0.6.1.tar.gz"
diff --git a/testing/pnmixer/pnmixer.post-deinstall b/testing/pnmixer/pnmixer.post-deinstall
new file mode 100644
index 0000000..ccc5252
--- /dev/null
+++ b/testing/pnmixer/pnmixer.post-deinstall
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
diff --git a/testing/pnmixer/pnmixer.post-install b/testing/pnmixer/pnmixer.post-install
new file mode 100644
index 0000000..ccc5252
--- /dev/null
+++ b/testing/pnmixer/pnmixer.post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
diff --git a/testing/pnmixer/pnmixer.post-upgrade b/testing/pnmixer/pnmixer.post-upgrade
new file mode 100644
index 0000000..ccc5252
--- /dev/null
+++ b/testing/pnmixer/pnmixer.post-upgrade
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-- 
2.7.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---